=== modified file 'doc/developers/HACKING.txt'
--- doc/developers/HACKING.txt	2008-01-16 00:26:25 +0000
+++ doc/developers/HACKING.txt	2008-04-09 03:29:23 +0000
@@ -1837,37 +1837,22 @@
         if version_info[3] == 'final':
             version_string = '%d.%d.%d' % version_info[:3]
 
-#. Send the changes to PQM, to update the official master branch.
+#. Submit those changes to PQM for merge into the appropriate release
+   branch.
 
 #. When PQM succeeds, pull down the master release branch.
 
-#. Merge the release branch back into the trunk.  Check that changes in NEWS were merged into the right sections.  If it's not already done, advance the version number in bzr and bzrlib/__init__.py Submit this back into pqm for bzr.dev.
-
-#. Make a distribution directory by running e.g. ``bzr export /tmp/bzr-<version>/`` in the working directory.
-
-#. Run make in /tmp/bzr-<version>. This creates the extensions from the pyrex source.
-
-#. Run the test suite in the distribution directory
+#. Run ``make dist`` from a clean copy of the release branch; this will
+   produce a tarball and prompt you to sign it.
+
+#. Unpack the tarball into a temporary directory and run ``make check`` in
+   that directory.
 
 #. Run ``setup.py install`` --root=prefix to do a test install into your system directory, home directory, or some other prefix.  Check the install worked and that the installed version is usable. (run the bzr script from the installed path with PYTHONPATH set to the site-packages directory it created). i.e. ::
 
     python setup.py install --root=installed
     PYTHONPATH=installed/usr/lib/python2.4/site-packages installed/usr/bin/bzr
 
-#. Clean the tree to get rid of .pyc files etc: make clean && rm -rf build && rm bzrlib/_*.c bzrlib/_*.so
-
-#. Generate the reference documentation in text format: make doc/en/user-reference/bzr_man.txt.
-
-#. Change back to your original branch and then run: make clean && make to create the compiled pyrex extensions.  You then need to copy the .c files over to the exported directory. 
-   
-   ``find . -name "*.c"`` will tell you which files you need.
-
-#. Create the release tarball::
-   
-     cd /tmp && tar czf bzr-<version>.tar.gz bzr-<version>
-
-#. Sign the tarball with e.g. ``gpg --detach-sign -a bzr-0.10rc1.tar.gz``
-
 
 Publishing the release
 ----------------------
@@ -1884,7 +1869,8 @@
    (These used to also be uploaded to 
    <sftp://escudero.ubuntu.com/srv/bazaar.canonical.com/www/releases/src>
    but that's not accessible to all developers, and gets some mime types
-   wrong...)
+   wrong...  This upload can still be done with ``make
+   dist-upload-escudero``.)
 
 #. Link from http://bazaar-vcs.org/Download to the tarball and signature.
 
@@ -1957,6 +1943,16 @@
    Remember to check the results afterwards.
 
 
+Merging the released code back to trunk
+---------------------------------------
+
+Merge the release branch back into the trunk.  Check that changes in NEWS
+were merged into the right sections.  If it's not already done, advance
+the version number in ``bzr`` and ``bzrlib/__init__.py``.  Submit this
+back into pqm for bzr.dev.
+
+
+
 Making Win32 installers
 -----------------------
 

